Groovy 1.7.0

## org.codehaus.groovy.tools.shell
Class RigidParser

    java.lang.Object
      org.codehaus.groovy.tools.shell.RigidParser

    class RigidParser
    extends Object

A more rigid parser which catches more syntax errors, but also tends to barf on stuff that is really valid from time to time.

Property Summary
`static String` | `SCRIPT_FILENAME`

Constructor Summary
`RigidParser()`

Method Summary
`ParseStatus` | `parse(List buffer)`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Property Detail

### SCRIPT_FILENAME

    static final String SCRIPT_FILENAME

Constructor Detail

### RigidParser

    RigidParser()

Method Detail

### parse

    ParseStatus parse(List buffer)

Copyright © 2003-2009 The Codehaus. All rights reserved.